Skip to main content
`Ctrl`+`K`

# SNESFASFullGetTotal

Use total residual restriction and total interpolation on the initial down and up sweep of full FAS cycles

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASFullGetTotal(SNES snes, PetscBool *total)

Logically Collective

## Input Parameter

- snes - the `SNESFAS` nonlinear multigrid context

## Output Parameter

- total - whether to use total restriction / interpolatiaon or not (the alternative is defect restriction and correction interpolation)

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESFAS`, `SNESFASSetNumberSmoothUp()`, `DMInterpolateSolution()`, `SNESFullSetTotal()`

## Level

advanced

## Location

src/snes/impls/fas/fasfunc.c

Index of all SNESFAS routines
Table of Contents for all manual pages
Index of all manual pages